Uploaded image for project: 'OpenAM'
  1. OpenAM
  2. OPENAM-8597

WPA4: It is not possible to install 64-bit agent on Solaris 10

    XMLWordPrintable

    Details

    • Bug
    • Status: Closed
    • Blocker
    • Resolution: Fixed
    • Agents-4.0.0, Agents-4.0.1
    • Agents-4.0.1, Agents-5.0
    • install, web agents
    • OpenAM Web Agent for Apache Server 2.2.x
       Version: 4.0.1-RC3
       Revision:
       Build machine: degas
       Build date: Mar 15 2016 10:38:24
    • Rank:
      1|hzr6xz:

      Description

      It is not possible to install 64-bit agent on Solaris 10. The same issue is for Apache 2.2 and 2.4. I tested this case on Solaris 11 and I was not able to reproduce it.

      Installation results

      WPA 4.0.0
      a22 32b = OK
      a22 64b = FAILED
      a24 32b = OK
      a24 64b = FAILED

      WPA 4.0.1
      a22 32b = OK
      a22 64b = FAILED
      a24 32b = OK
      a24 64b = FAILED

      WPA 4.0.1 was tested with the RC3

      Solaris 10 details
      bash-3.00# cat /etc/release 
                              Solaris 10 5/09 s10x_u7wos_08 X86
                 Copyright 2009 Sun Microsystems, Inc.  All Rights Reserved.
                              Use is subject to license terms.
                                   Assembled 30 March 2009
      bash-3.00# uname -a
      SunOS solaris10x86pa32 5.10 Generic_139556-08 i86pc i386 i86pc
      

      Error from Install log

      2016-03-17 13:34:08  failed to create a backup copy of /opt/FRapache22-64/conf/httpd.conf
      2016-03-17 13:34:08  cleaning up agent configuration and directory /opt/web_agents/apache22_agent/bin/../instances/agent_1
      2016-03-17 13:34:08  installation error: file parser error
      2016-03-17 13:34:08  installation exit
      

        Attachments

          Activity

            People

            mareks Mareks Malnacs
            richard.hruza Richard Hruza
            Richard Hruza Richard Hruza
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: